Skip to main content
GET
/
v1
/
podcasts
/
episodes
/
{id}
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/episodes/{id}"
{
  "duration_seconds": 123,
  "explicit": true,
  "has_transcript": true,
  "id": "<string>",
  "title": "<string>",
  "audio_url": "<string>",
  "clip_count": 123,
  "clips": [
    {
      "duration_seconds": 123,
      "end_seconds": 123,
      "engagement_score": 123,
      "id": "<string>",
      "start_seconds": 123,
      "title": "<string>",
      "audio_url": "<string>",
      "description": "<string>",
      "episode": {
        "id": "<string>",
        "title": "<string>",
        "podcast": {
          "id": "<string>",
          "title": "<string>",
          "image_url": "<string>",
          "slug": "<string>"
        },
        "published_at": "2023-11-07T05:31:56Z",
        "slug": "<string>"
      },
      "intro_statement": "<string>",
      "segment": {
        "id": "<string>",
        "title": "<string>",
        "type": "<string>"
      },
      "speaker": {
        "name": "<string>",
        "entity": {
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "company": {
            "id": "<string>",
            "domain": "<string>",
            "ticker": "<string>"
          },
          "description": "<string>",
          "person": {
            "id": "<string>",
            "company": "<string>",
            "image_url": "<string>",
            "title": "<string>"
          },
          "type": {
            "name": "<string>",
            "slug": "<string>"
          },
          "wikipedia_url": "<string>"
        },
        "person": {
          "id": "<string>",
          "name": "<string>",
          "image_url": "<string>",
          "slug": "<string>"
        },
        "role": "<string>"
      }
    }
  ],
  "description": "<string>",
  "entity_count": 123,
  "episode_number": 123,
  "image_url": "<string>",
  "language": "<string>",
  "podcast": {
    "id": "<string>",
    "title": "<string>",
    "image_url": "<string>",
    "slug": "<string>"
  },
  "published_at": "2023-11-07T05:31:56Z",
  "segment_count": 123,
  "segments": [
    {
      "duration_seconds": 123,
      "end_seconds": 123,
      "id": "<string>",
      "number": 123,
      "start_seconds": 123,
      "title": "<string>",
      "type": "<string>",
      "audio_url": "<string>",
      "description": "<string>",
      "episode": {
        "id": "<string>",
        "title": "<string>",
        "podcast": {
          "id": "<string>",
          "title": "<string>",
          "image_url": "<string>",
          "slug": "<string>"
        },
        "published_at": "2023-11-07T05:31:56Z",
        "slug": "<string>"
      },
      "read_type": "<string>",
      "summary": "<string>"
    }
  ],
  "slug": "<string>",
  "speakers": [
    {
      "name": "<string>",
      "description": "<string>",
      "descriptor": "<string>",
      "entity": {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "company": {
          "id": "<string>",
          "domain": "<string>",
          "ticker": "<string>"
        },
        "description": "<string>",
        "person": {
          "id": "<string>",
          "company": "<string>",
          "image_url": "<string>",
          "title": "<string>"
        },
        "type": {
          "name": "<string>",
          "slug": "<string>"
        },
        "wikipedia_url": "<string>"
      },
      "person": {
        "id": "<string>",
        "name": "<string>",
        "image_url": "<string>",
        "slug": "<string>"
      },
      "role": "<string>",
      "speaking_duration_seconds": 123
    }
  ],
  "topics": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "ancestry": "<string>",
      "ancestry_path": "<string>",
      "episode_count": 123
    }
  ],
  "transcript": {
    "duration_seconds": 123,
    "episode_id": "<string>",
    "lines": [
      {
        "end_seconds": 123,
        "number": 123,
        "speaker": "<string>",
        "start_seconds": 123,
        "text": "<string>",
        "role": "<string>"
      }
    ],
    "language": "<string>"
  },
  "url": "<string>",
  "videos": [
    {
      "url": "<string>",
      "duration_seconds": 123,
      "height": 123,
      "mime_type": "<string>",
      "width": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Episode slug or ID

Response

OK

duration_seconds
number<double>
required

Episode duration in seconds

explicit
boolean
required

Whether the episode contains explicit content

has_transcript
boolean
required

Whether a transcript is available

id
string
required

Unique identifier

title
string
required

Episode title

audio_url
string

Direct audio stream URL

clip_count
integer<int64>

Number of AI-extracted clips

clips
object[] | null

AI-extracted clips. Only present when include=clips (or include=all) is requested at the fully_ingested milestone.

description
string

Episode description

entity_count
integer<int64>

Number of mentioned entities

episode_number
integer<int64>

Episode number in the series

image_url
string

Episode artwork URL

language
string

ISO 639-1 language code

podcast
object

Parent podcast

published_at
string<date-time>

Publication date

segment_count
integer<int64>

Number of AI-identified segments

segments
object[] | null

AI-identified segments. Only present when include=segments (or include=all) is requested at a milestone of segmented or later.

slug
string

Human-readable slug identifier

speakers
object[] | null

Speakers in this episode

topics
object[] | null

Topic classifications

transcript
object

Dialogue transcript. Only present when include=transcript (or include=all) is requested at a milestone of transcribed or later.

url
string

Episode web URL

videos
object[] | null

Video URLs discovered for this episode (native enclosures, Podcasting 2.0 alternate enclosures, Media RSS, and platform links / show-note URLs from YouTube, Vimeo, Twitch, Rumble). Populated on the GET /podcasts/episodes/{id} endpoint.